backend oival-backend
    
    # map requests from / to /exist/apps/oival/
    # leave Path=/ in the cookies

    # path hacks
    http-request set-path /exist/apps/oival%[path] 
    http-response replace-header Location /exist/apps/oival/(.*) /\1

    # force the cookie for the entire service
    acl oival-server-acl-hdr_set_cookie_path res.hdr(Set-cookie) -m sub Path=
    rspirep ^(Set-Cookie:.*)Path=(.*) \1Path=/ if oival-server-acl-hdr_set_cookie_path

    server oival-1 {{service.host_machine}}.{{ansible_domain}}:{{service.ports.0|regex_replace('^(\\d+):\\d+$','\\1')}}
